> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.teez.kz/llms.txt
> Use this file to discover all available pages before exploring further.

# Получение списка товаров



## OpenAPI

````yaml /api-reference/swagger.json post /api/seller/v1/products/list
openapi: 3.0.1
info:
  title: Teez Seller API — Combined
  version: v1.0
servers:
  - url: https://seller-api.teez.kz
security:
  - oauth2: []
paths:
  /api/seller/v1/products/list:
    post:
      tags:
        - Products
      summary: Получение списка товаров
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExternalGetProductsApiRequest'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExternalGetProductsApiResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExtendedProblemDetails'
components:
  schemas:
    ExternalGetProductsApiRequest:
      type: object
      properties:
        pageNumber:
          type: integer
          description: Номер страницы, начиная с 1
          format: int32
          nullable: true
        pageSize:
          type: integer
          description: Количество элементов на странице
          format: int32
          nullable: true
        sortBy:
          type: string
          description: Название поля для сортировки (id, name, status)
          nullable: true
        sortDirection:
          type: string
          description: Направление сортировки (Asc или Desc)
          nullable: true
        filters:
          $ref: '#/components/schemas/ProductFilters'
      additionalProperties: false
      description: Запрос на получение списка товаров с фильтрацией и пагинацией
    ExternalGetProductsApiResponse:
      type: object
      properties:
        products:
          type: array
          items:
            $ref: '#/components/schemas/ExternalProductDto'
          description: Список товаров
          nullable: true
        totalCount:
          type: integer
          description: Общее количество товаров
          format: int32
        pageNumber:
          type: integer
          description: Текущий номер страницы
          format: int32
        pageSize:
          type: integer
          description: Размер страницы (кол-во элементов на странице)
          format: int32
        totalPages:
          type: integer
          description: Общее количество страниц
          format: int32
      additionalProperties: false
      description: Ответ на запрос списка товаров
    ExtendedProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errorCode:
          type: string
          description: Код ошибки
          nullable: true
        errorMessage:
          type: string
          description: Сообщение об ошибке
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/ErrorDetail'
          description: Детализация ошибок валидации по полям
          nullable: true
      additionalProperties: {}
    ProductFilters:
      type: object
      properties:
        categoryIds:
          type: array
          items:
            type: integer
            format: int64
          description: Список ID категорий для фильтрации
          nullable: true
        productStatus:
          type: array
          items:
            type: string
          description: >-
            Статусы товаров: created, readytosend, intransit, arrived,
            availableonstock, outofstock, onsale
          nullable: true
        moderationProductStatus:
          type: array
          items:
            type: string
          description: 'Статусы модерации: pending, approved, declined'
          nullable: true
        search:
          type: string
          description: 'Поисковая строка: по названию или product Id'
          nullable: true
        shopId:
          type: integer
          description: Id магазина
          format: int64
          nullable: true
      additionalProperties: false
      description: Объект с фильтрами товаров
    ExternalProductDto:
      type: object
      properties:
        productId:
          type: integer
          description: Id товара
          format: int64
        productName:
          $ref: '#/components/schemas/MultiLangDto'
        categoryId:
          type: integer
          description: Id категории товара
          format: int64
        categoryName:
          $ref: '#/components/schemas/MultiLangDto'
        productStatus:
          type: string
          description: >-
            Текущий статус товара (created, readytosend, intransit, arrived,
            availableonstock, outofstock)
          nullable: true
        moderationStatus:
          type: string
          description: Статус модерации (pending, approved, blocked)
          nullable: true
        totalWmsQuantity:
          type: integer
          description: Остаток на складе
          format: int32
        salesCount:
          type: integer
          description: Количество продаж
          format: int32
        photo:
          $ref: '#/components/schemas/PhotoDto'
      additionalProperties: false
    ErrorDetail:
      type: object
      properties:
        code:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
      additionalProperties: false
    MultiLangDto:
      type: object
      properties:
        rus:
          type: string
          description: Название на русском языке
          nullable: true
        kaz:
          type: string
          description: Название на казахском языке
          nullable: true
      additionalProperties: false
      description: Название на двух языках
    PhotoDto:
      type: object
      properties:
        url:
          type: string
          description: Ссылка на изображение
          nullable: true
      additionalProperties: false
  securitySchemes:
    oauth2:
      type: http
      description: Please enter valid JWT token
      scheme: Bearer
      bearerFormat: JWT

````